---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "14"
  version: 8060020220913100258
  context: 9edba152
  arch: aarch64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: 9ac533679fc59db4a61c7b946d10bfadda862fc4
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: d95df8f72469e1d2a024d15137f52e3c6a5ffffb
        buildorder: 200
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 74e3b1a602aa4a1d7107586eeb2cb5993d1326e3
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - nodejs-1:14.20.0-2.module_el8.6.0+3261+490666b3.aarch64
    - nodejs-1:14.20.0-2.module_el8.6.0+3261+490666b3.src
    - nodejs-debuginfo-1:14.20.0-2.module_el8.6.0+3261+490666b3.aarch64
    - nodejs-debugsource-1:14.20.0-2.module_el8.6.0+3261+490666b3.aarch64
    - nodejs-devel-1:14.20.0-2.module_el8.6.0+3261+490666b3.aarch64
    - nodejs-docs-1:14.20.0-2.module_el8.6.0+3261+490666b3.noarch
    - nodejs-full-i18n-1:14.20.0-2.module_el8.6.0+3261+490666b3.aarch64
    - nodejs-nodemon-0:2.0.19-2.module_el8.6.0+3261+490666b3.noarch
    - nodejs-nodemon-0:2.0.19-2.module_el8.6.0+3261+490666b3.src
    - nodejs-packaging-0:23-3.module_el8.4.0+2522+3bd42762.noarch
    - nodejs-packaging-0:23-3.module_el8.4.0+2522+3bd42762.src
    - nodejs-packaging-0:23-3.module_el8.5.0+254+b4526b16.noarch
    - nodejs-packaging-0:23-3.module_el8.5.0+254+b4526b16.src
    - npm-1:6.14.17-1.14.20.0.2.module_el8.6.0+3261+490666b3.aarch64
...
---
document: modulemd
version: 2
data:
  name: nodejs-devel
  stream: "14"
  version: 8060020220913100258
  context: 9edba152
  arch: aarch64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: 9ac533679fc59db4a61c7b946d10bfadda862fc4
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: d95df8f72469e1d2a024d15137f52e3c6a5ffffb
        buildorder: 200
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 74e3b1a602aa4a1d7107586eeb2cb5993d1326e3
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
